<!DOCTYPE html>
<meta charset="utf-8">

<head>
    <style>
        body {
            width: 100%;
            height: 100%;
        }

        .node {
            cursor: pointer;
        }

        .node rect {
            fill: #333333;
            stroke: #43b1ff;
            stroke-width: 1.5px;
        }

        .node text {
            font: 10px sans-serif;
            fill: #fff;
        }

        .link,
        .link-alone {
            fill: none;
            stroke: #43b1ff;
            stroke-width: 1.5px;
        }
    </style>
</head>

<body>
    <script src="https://d3js.org/d3.v3.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
    <script src="../plugin/diagram/revealjs-diagram.js"></script>
    <script>
        var treeData = {
            name: 'Commit',
            x0: window.diagram.height / 2,
            y0: 0,
            children: []
        };
        var _transitions = [
            //Compilation
            window.diagram.addItem('Compile', 'Commit', treeData),

            //testing
            window.diagram.addItem('Test 1', 'Compile', treeData),
            window.diagram.addItem('Test 2', 'Compile', treeData),
            window.diagram.addItem('Test 3', 'Compile', treeData),

            window.diagram.addItem('Doc', 'Test 2', treeData),
            window.diagram.addLink('Test 1', 'Doc', treeData),
            window.diagram.addLink('Test 3', 'Doc', treeData),

            window.diagram.addItem('Deploy', 'Doc', treeData)
        ];
        var _inverse_transitions = [
            window.diagram.removeItem('Compile', treeData),

            window.diagram.removeItem('Test 1', treeData),
            window.diagram.removeItem('Test 2', treeData),
            window.diagram.removeItem('Test 3', treeData),


            window.diagram.removeLink('Test 1', treeData),
            window.diagram.removeLink('Test 3', treeData),
            window.diagram.removeItem('Doc', treeData),

            window.diagram.removeItem('Deploy', treeData)
        ];
        // start the tree
        window.diagram.register('closed', function () {
            window.diagram.init(treeData);
        });
    </script>
</body>
